libetonyek::KEY1DivElement Class Reference documentation

Public Member Functions | Protected Member Functions | Private Attributes | List of all members
libetonyek::KEY1DivElement Class Reference

`#include <KEY1DivElement.h>`

Inheritance diagram for libetonyek::KEY1DivElement:

## Public Member Functions
| KEY1DivElement (KEY1ParserState &state, IWORKStylePtr_t spanStyle, IWORKStylePtr_t parentStyle, bool &delayedLineBreak)
Public Member Functions inherited from libetonyek::KEY1XMLContextBase< Base >
| KEY1XMLContextBase (KEY1ParserState &state)
template<typename T >
| KEY1XMLContextBase (KEY1ParserState &state, const T &a)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, KEY1ParserState, KEYCollector >
| IWORKXMLContextBase (KEY1ParserState &state)
| IWORKXMLContextBase (KEY1ParserState &state, const T &a)
KEY1ParserState & | getState ()

## Protected Member Functions
void | attribute (int name, const char *value) override
IWORKXMLContextPtr_t | element (int name) override
void | CDATA (const char *value) override
void | text (const char *value) override
void | endOfElement () override
void | ensureOpened ()
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, KEY1ParserState, KEYCollector >
KEYCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const

## Private Attributes
KEY1SpanStyle | m_spanStyle
KEY1DivStyle | m_style
bool | m_opened
bool & | m_delayedLineBreak

## Additional Inherited Members
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, KEY1ParserState, KEYCollector >
KEY1ParserState & | m_state

## Constructor & Destructor Documentation

## ◆ KEY1DivElement()

libetonyek::KEY1DivElement::KEY1DivElement | ( | KEY1ParserState & | state,
|  | IWORKStylePtr_t | spanStyle,
|  | IWORKStylePtr_t | parentStyle,
|  | bool & | delayedLineBreak )

## Member Function Documentation

## ◆ attribute()

void libetonyek::KEY1DivElement::attribute | ( | int | name,
|  | const char * | value )
| overrideprotected

## ◆ CDATA()

void libetonyek::KEY1DivElement::CDATA | ( | const char * | value | ) |
| overrideprotected

## ◆ element()

IWORKXMLContextPtr_t libetonyek::KEY1DivElement::element | ( | int | name | ) |
| overrideprotected

## ◆ endOfElement()

void libetonyek::KEY1DivElement::endOfElement | ( |  | ) |
| overrideprotected

## ◆ ensureOpened()

void libetonyek::KEY1DivElement::ensureOpened | ( |  | ) |
| protected

Referenced by CDATA(), endOfElement(), and text().

## ◆ text()

void libetonyek::KEY1DivElement::text | ( | const char * | value | ) |
| overrideprotected

## Member Data Documentation

## ◆ m_delayedLineBreak

bool& libetonyek::KEY1DivElement::m_delayedLineBreak
| private

Referenced by CDATA(), element(), endOfElement(), and ensureOpened().

## ◆ m_opened

bool libetonyek::KEY1DivElement::m_opened
| private

Referenced by ensureOpened().

## ◆ m_spanStyle

KEY1SpanStyle libetonyek::KEY1DivElement::m_spanStyle
| private

Referenced by attribute(), CDATA(), element(), and text().

## ◆ m_style

KEY1DivStyle libetonyek::KEY1DivElement::m_style
| private

Referenced by attribute(), and ensureOpened().

The documentation for this class was generated from the following files:

- KEY1DivElement.h
- KEY1DivElement.cpp